Package commoble.exmachina.engine.internal

# Class Names

java.lang.Object
commoble.exmachina.engine.internal.Names

public class Names extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ALL_DIRECTIONS`
`static final String`
`BLOCKSTATE`
`static final String`
`CIRCUIT_COMPONENT`
`static final String`
`CONNECTOR_TYPE`
`static final String`
`CONSTANT`
`static final String`
`DIRECTIONS`
`static final String`
`DYNAMIC_PROPERTY_TYPE`
`static final String`
`ENGINE_MODID`
`static final String`
`EXMACHINA_MODID`
`static final String`
`NONE`
`static final String`
`STATIC_PROPERTY_TYPE`
`static final String`
`UNION`

## Constructor Summary

Constructors
Constructor
Description
`Names()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ENGINE_MODID

public static final String ENGINE_MODID

See Also:
  - Constant Field Values

### EXMACHINA_MODID

public static final String EXMACHINA_MODID

See Also:
  - Constant Field Values

### CONNECTOR_TYPE

public static final String CONNECTOR_TYPE

See Also:
  - Constant Field Values

### STATIC_PROPERTY_TYPE

public static final String STATIC_PROPERTY_TYPE

See Also:
  - Constant Field Values

### DYNAMIC_PROPERTY_TYPE

public static final String DYNAMIC_PROPERTY_TYPE

See Also:
  - Constant Field Values

### CIRCUIT_COMPONENT

public static final String CIRCUIT_COMPONENT

See Also:
  - Constant Field Values

### NONE

public static final String NONE

See Also:
  - Constant Field Values

### BLOCKSTATE

public static final String BLOCKSTATE

See Also:
  - Constant Field Values

### ALL_DIRECTIONS

public static final String ALL_DIRECTIONS

See Also:
  - Constant Field Values

### DIRECTIONS

public static final String DIRECTIONS

See Also:
  - Constant Field Values

### UNION

public static final String UNION

See Also:
  - Constant Field Values

### CONSTANT

public static final String CONSTANT

See Also:
  - Constant Field Values

## Constructor Details

### Names

public Names()